<?php

namespace HCM\FPA\ObrigacaoLegal\Dirf\Registros;

use HCM\FPA\ObrigacaoLegal\Dirf\Registros\RegistroDIRF;

class RegistroDTPSE extends RegistroDIRF{

    private $_cpf;
    private $_dtnascimento;
    private $_nome;
    private $_dependencia;
    private $_valor;

    private function _geraRegistro($tpRegistro){
        // Ordem 1
        $this->atribuiDadoDirf($tpRegistro);

        // Ordem 2
        $this->atribuiDadoDirf($this->_cpf);

        // Ordem 3
        $this->atribuiDadoDirf($this->_dtnascimento);

        // Ordem 4
        $this->atribuiDadoDirf($this->_nome);

        // Ordem 5
        $this->atribuiDadoDirf($this->_dependencia);

        // Ordem 6
        $this->atribuiDadoDirf($this->_valor);
    }

    public function geraRegistroDTPSE(){
        $this->_geraRegistro(parent::REGISTRO_DTPSE);
    }

    public function setCpf($cpf){
        $this->_cpf = $cpf;
    }

    public function setDtnascimento($dtnascimento){
        $this->_dtnascimento = $dtnascimento;
    }

    public function setNome($nome){
        $this->_nome = $nome;
    }

    public function setDependencia($dependencia){
        $this->_dependencia = $dependencia;
    }

    public function setValor($valor){
        $this->_valor = $valor;
    }

}