-- ============================================================
-- Database name: FOLHA
-- Created on: 24/07/2019 
-- ============================================================
-- ============================================================
--   TABLE: PTO_OCORRENCIADMISSAO                                          
-- ============================================================

 CREATE TABLE "FOLHA"."PTO_OCORRENCIADMISSAO" 
 ("NRORG" NUMBER DEFAULT 1 NOT NULL ENABLE, 
"NROCORRENCIADMISSAO" NUMBER NOT NULL ENABLE, 
"NRTIPOPROGOCORRENCIA" NUMBER NOT NULL ENABLE,
"NRTIPOVINCULOM" NUMBER NOT NULL ENABLE, 
"IDATIVO" VARCHAR2(1 BYTE) DEFAULT 'S', 
"NRORGINCLUSAO" NUMBER, 
"DTINCLUSAO" DATE, 
"CDOPERINCLUSAO" VARCHAR2(12 BYTE), 
"NRORGULTATU" NUMBER, 
"DTULTATU" DATE, 
"CDOPERULTATU" VARCHAR2(12 BYTE), 
 CONSTRAINT "CKC_IDATIVO_PTO_OCORREADMISSAO" CHECK (IDATIVO is
null or (IDATIVO in ('S','N'))) ENABLE, 
 CONSTRAINT "PTO_OCORRENCIADMISSAO" PRIMARY KEY ("NRORG",
"NROCORRENCIADMISSAO"))
/

-- ============================================================
--   TABLE: PTO_BANCOHORASADMI                                          
-- ============================================================

CREATE TABLE "FOLHA"."PTO_BANCOHORASADMI" 
  ("NRORG" NUMBER DEFAULT 1 NOT NULL ENABLE, 
"NRBANCOHORASADM" NUMBER NOT NULL ENABLE, 
"NRTIPOVINCULOM" NUMBER NOT NULL ENABLE, 
"NRBANCOHORAS" NUMBER NOT NULL ENABLE, 
"IDATIVO" VARCHAR2(1 BYTE) DEFAULT 'S', 
"NRORGINCLUSAO" NUMBER, 
"DTINCLUSAO" DATE, 
"CDOPERINCLUSAO" VARCHAR2(12 BYTE), 
"NRORGULTATU" NUMBER, 
"DTULTATU" DATE, 
"CDOPERULTATU" VARCHAR2(12 BYTE), 
  CONSTRAINT "CKC_IDATIVO_PTO_BANCOHORASADMI" CHECK (IDATIVO isnull or (IDATIVO in ('S','N'))) ENABLE, 
  CONSTRAINT "PK_PTO_BANCOHORASADMI" PRIMARY KEY ("NRORG","NRBANCOHORASADM"))/